<!DOCTYPE>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Lesson 3</title>
        <link rel="stylesheet" href="styles.css">
    </head>
    <body>
        <div style="width:50%;float:left;">
            <form action="?q=ok" method="POST" name="my" id="user-form">
                <div>
                    <label for="username">Username:</label>
                    <input type="text" placeholder="User name" name="username" id="username" />
                </div>
                <div>
                    <label for="password">Password:</label>
                    <input type="password" placeholder="User password" name="password" id="password" />
                </div>
                <div>
                    <label for="gender">Gender:</label>
                    <select name="gender" id="gender">
                        <option value=""></option>
                        <option value="male">Male</option>
                        <option value="female">Female</option>
                    </select>
                </div>
                <div>
                    <label>Subscribe:</label>
                    <label><input type="radio" value="true" name="subscribe">Yes</label>
                    <label><input type="radio" value="false" name="subscribe">No</label>
                </div>
                <div>
                    <label for="active">Active user?</label>
                    <input type="checkbox" name="active" value="yes" id="active">
                </div>
                <div>
                    <input type="submit" value="Add user" id="submitBtn" name="submitBtn">
                    <button name="updateBtn" id="updateBtn" class="hide" data-username="">UPDATE</button>
                    <button name="deleteBtn" id="deleteBtn" class="hide" data-username="">DELETE</button>
                    <button name="cancelBtn" id="cancelBtn" class="hide" data-username="">CANCEL</button>
                    <input type="reset" value="Clear" id="clearBtn" name="clearBtn">
                </div>
                <div class="error" id="error"></div>
            </form>
        </div>
        <div style="width:50%;float:left;">
            <ul id="user-list">
                <li data-info='{"username":"Tony Parker","password":"pass","gender":"male","subscribe":"true","active":true}'>Tony Parker</li>
                <li data-info='{"username":"Galen Marek","password":"pass2","gender":"male","subscribe":"false","active":true}'>Galen Marek</li>
                <li data-info='{"username":"Mace Windu","password":"pass3","gender":"male","subscribe":"false","active":false}'>Mace Windu</li>
                <li data-info='{"username":"Owen Lars","password":"pass4","gender":"male","subscribe":"true","active":false}'>Owen Lars</li>
                <li data-info='{"username":"Jango Fett","password":"pass5","gender":"male","subscribe":"true","active":true}'>Jango Fett</li>
            </ul>
        </div>
        <script>
            /*
            1. Добавлять пользователя в конец списка пользователей по нажатию кнопки Add, перед добавлением проверить все ли поля заполнены
            (из проверки исключить только чекбокс). После добавления пользователя - очистить форму.
            2. При клике по имени загрузить информацию о пользователе и поместить данные в соответствующие поля. Кнопку Add cкрыть, Update и Delete показать.           
            3. При нажатии на кнопку DELETE очистить форму и удалить имя из списка пользователей.
             После Удаления пользователя: очистить форму, кнопки Update и Delete скрыть, Add показать.
            4. При нажатии на кнопку UPDATE обновить информацию о пользователе.
            После обновления пользовательских данных: очистить форму, кнопки Update и Delete скрыть, Add показать.
            */
        </script>
        <script src="app.js"></script>
    </body>
</html>